import request from '@/utils/request'
import { URL } from '@/config'

export function transports(params) {
  return request({
    url: URL.shop.store.transport.type.transports,
    method: 'get',
    params,
  })
}

export function getList(params) {
  return request({
    url: URL.shop.store.transport.type.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.store.transport.type.doEdit,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.store.transport.type.doDelete,
    method: 'post',
    data,
  })
}
